Subject: Re: bug#26830: Allow services to implement a 'reload' action

From: zimoun <[email-masked]>
Date: Wed, 23 Mar 2022 13:56:32 +0100

Hi,

This old patch [1] is… old! :-)

1: <http://issues.guix.gnu.org/issue/26830>

On Thu, 12 Jul 2018 at 00:00, [email-masked] (Ludovic Courtès) wrote:

> FWIW, with the patch at <https://bugs.gnu.org/32128>, adding such
> actions becomes easy (it’s a generalization of what you did in this
> patch series.)

Considering this merged #32128 [1]:

--8<---------------cut here---------------start------------->8---
Done in Shepherd commit 5ab8cbc9bcfce586a5389ad95a65f011d02bd289.
--8<---------------cut here---------------end--------------->8---

1: <https://issues.guix.gnu.org/32128#4>

What is then the status of this patch adding ’upgrade’?  Does it still
make sense?

Cheers,
simon